Bug 1658402 (CVE-2018-18498) - CVE-2018-18498 Mozilla: Integer overflow when calculating buffer sizes for images
Summary: CVE-2018-18498 Mozilla: Integer overflow when calculating buffer sizes for im...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2018-18498
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=important,public=20181211,repo...
Depends On: 1655361 1660727 1655360 1655362 1660726 1660728 1661346 1667787
Blocks: 1655358 1660724
TreeView+ depends on / blocked
 
Reported: 2018-12-12 00:03 UTC by Doran Moppert
Modified: 2019-06-08 23:45 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-01-29 16:11:05 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:3831 None None None 2018-12-17 17:06:49 UTC
Red Hat Product Errata RHSA-2018:3833 None None None 2018-12-17 17:06:55 UTC
Red Hat Product Errata RHSA-2019:0159 None None None 2019-01-24 22:38:16 UTC
Red Hat Product Errata RHSA-2019:0160 None None None 2019-01-24 22:42:19 UTC

Description Doran Moppert 2018-12-12 00:03:07 UTC
A potential vulnerability leading to an integer overflow can occur during buffer size calculations for images when a raw value is used instead of the checked value. This leads to a possible out-of-bounds write. 



External Reference:

https://www.mozilla.org/en-US/security/advisories/mfsa2018-30/#CVE-2018-18498

Comment 1 Doran Moppert 2018-12-12 00:03:09 UTC
Acknowledgments:

Name: the Mozilla project
Upstream: r

Comment 2 errata-xmlrpc 2018-12-17 17:06:49 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2018:3831 https://access.redhat.com/errata/RHSA-2018:3831

Comment 3 errata-xmlrpc 2018-12-17 17:06:55 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2018:3833 https://access.redhat.com/errata/RHSA-2018:3833

Comment 4 Doran Moppert 2019-01-21 04:58:11 UTC
Statement:

In general, this flaw be exploited through email in the Thunderbird product because scripting is disabled when reading mail, but are potentially risks in browser or browser-like contexts.

Comment 6 errata-xmlrpc 2019-01-24 22:38:15 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2019:0159 https://access.redhat.com/errata/RHSA-2019:0159

Comment 7 errata-xmlrpc 2019-01-24 22:42:18 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2019:0160 https://access.redhat.com/errata/RHSA-2019:0160


Note You need to log in before you can comment on or make changes to this bug.